Announcement

Collapse
No announcement yet.

NVIDIA GameWorks Integration

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Originally posted by saavedrafilm View Post
    I was installing flex from here https://github.com/NvPhysX/UnrealEngine/tree/FleX

    But according to these instructions

    1. git clone https://github.com/NvPhysX/UnrealEngine.git

    2. You should now be on the release branch. Run setup.bat. You can now run GenerateProjectFiles.bat, build UE4, run it, etc.

    3. git branch –t FleX origin/FleX

    4. git checkout FleX

    5. GenerateProjectFiles.bat

    6. Open .sln, build UE4.

    7. Run UE4 Editor, open the FleX test project.

    I do not understand step 3

    Could you help me?

    I already did the whole process with version 4.12.5

    But this error comes out when building for the second time UE4

    [ATTACH=CONFIG]123803[/ATTACH]
    Hi, I had some trouble with this first myself:
    You open a git shell and clone as in step 1, in step 2 you only need to run setup.bat, don't compile the engine just yet. In step 3 you go back to your git shell and type the command to go to the flex branch. Then again in the git shell type the command from step 4. Then in step 5 you generate the projectfiles and compile the engine, dot NOT run setup.bat again since it will override some of the flex files.
    If this does not work, it might be because the master branch on the gameworks github has been updated to 4.13.2 with hairworks??

    Comment


      Originally posted by Number47 View Post
      Hi xenthor, are you willing to share your code integration, that video is impressive, nice work.
      I will once Flex 1.1 is released. It's only in limited access right now and i can't distribute it.
      LinkedIn | Link custom Shaders in 4.21/4.22/4.23 | Atmosphere Modelisation | Distance Matching Locomotion | Nvidia GameWorks builds - 4.19.2 : VXGI2.0, Blast, HairWorks, Flow - Plugins: VictoryBP

      Comment


        Originally posted by xenthor View Post
        I will once Flex 1.1 is released. It's only in limited access right now and i can't distribute it.
        Any chance you'd be able to add Nvidia's volumetric lighting as well? I'm dying for this and shadow works to be added. I tried adding it but UE4 is a complex engine, I can't get my head around it yet.

        If it comes down to it I might be willing to pay someone to integrate it, if it takes that for someone to do it.

        Comment


          Originally posted by Swartz27 View Post
          Any chance you'd be able to add Nvidia's volumetric lighting as well? I'm dying for this and shadow works to be added. I tried adding it but UE4 is a complex engine, I can't get my head around it yet.

          If it comes down to it I might be willing to pay someone to integrate it, if it takes that for someone to do it.
          i would love volumetric lightning but starting implementing it from scratch would be really time consuming.
          LinkedIn | Link custom Shaders in 4.21/4.22/4.23 | Atmosphere Modelisation | Distance Matching Locomotion | Nvidia GameWorks builds - 4.19.2 : VXGI2.0, Blast, HairWorks, Flow - Plugins: VictoryBP

          Comment


            This is one way I hope UE4 gets improved: make it easier for people to mess with the graphics. As it currently stands UE4 is complex enough that not only is it time-consuming, it's also difficult. I'm starting to think to get what I need I might be better off making my own game engine from scratch.

            Comment


              Putting my whining aside from the moment, I'm starting to wonder more about traditional baked lighting and re-read this "It is theoretically possible to use VXGI cone tracing to bake light maps, but such feature is not implemented". I know it's said it would just decrease compile times, but I'm wondering if perhaps it would also bake some of that nice juicy GI into the level as well. Has anyone given it a try? If not I might.

              Comment


                Click image for larger version

Name:	vxgi error.PNG
Views:	1
Size:	93.5 KB
ID:	1122170

                Does anyone know WHAT IS THIS ERROR??!?! pls!

                Comment


                  If there any chance we will get HFTS integration ?
                  https://github.com/iniside/ActionRPGGame - Action RPG Starter kit. Work in Progress. You can use it in whatever way you wish.

                  Comment


                    Originally posted by iniside View Post
                    If there any chance we will get HFTS integration ?
                    I would like to second this, Shadowworks would be greatly appreciated as a whole. If possible, if someone integrates it, try to have as many of the settings selectable as possible, such as PCF and PCSS if someone wants a cheaper solution than HFTS.

                    Comment


                      [MENTION=29363]Alexey.Panteleev[/MENTION] help
                      VXGI version: vxgi-4.9 ~ vxgi-4.14
                      Client command line:HighResShot 2

                      Result: Video Memory / memory Always increase,【Texture memory 2D - STAT_TextureMemory2D】Type texture is not released
                      Last edited by dfw10011; 02-12-2017, 10:06 PM.

                      Comment


                        help help help help help help

                        VXGI version: vxgi-4.9 ~ vxgi-4.14
                        Client command line:HighResShot 2

                        Result: Video Memory / memory Always increase,【Texture memory 2D - STAT_TextureMemory2D】Type texture is not released

                        Comment


                          Hi, thanks for clarifying the instructions. But I'm still unsure about step 2: Do I have to be on branch release or master when running setup.bat?

                          Comment


                            help help help help help help

                            VXGI version: vxgi-4.9 ~ vxgi-4.14
                            Client command line:HighResShot 2

                            Result: Video Memory / memory Always increase,【Texture memory 2D - STAT_TextureMemory2D】Type texture is not released

                            Comment


                              Is it possible anyone can make a YouTube tutorial video about how to install Flex into Unreal 4?
                              This is making my head hurt.
                              1.Download
                              2.Run Setup.bat
                              3. What's next?

                              Click image for larger version

Name:	flex.png
Views:	1
Size:	238.0 KB
ID:	1124137

                              Because I keep getting this.
                              Last edited by Tak.C.Chow; 02-28-2017, 08:12 PM.

                              Comment


                                That is the batch file that is called by the one you show
                                https://github.com/NvPhysX/UnrealEng...ojectFiles.bat

                                The error message is
                                We couldn't find a valid installation of Visual Studio. This program requires Visual Studio 2015. Please check that you have Visual Studio installed, then verify that the HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\14.0\InstallDir (or HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\14.0\InstallDir on 32-bit machines) registry value is set. Visual Studio configures this value when it is installed, and this program expects it to be set to the '\Common7\IDE\' sub-folder under a valid Visual Studio installation directory.
                                do you have VS 2015 installed?

                                Comment

                                Working...
                                X